dofile("KNEEBOARD_MOD_PeterP/data/KNEEBOARD/indicator/definitions.lua")

SetScale(FOV)
local TST   = MakeMaterial("KNEEBOARD_MOD_PeterP/data/kneeboard_background.dds",{255,255,255,255})
local MASK  = MakeMaterial("KNEEBOARD_MOD_PeterP/data/kneeboard_mask.dds",{255,255,255,255})
local width  = 1.265
local height = GetAspect() + (width - 1.0) 

local mask   = CreateElement "ceTexPoly"
mask.name     	   =  "mask"
mask.material 	   =  MASK
mask.primitivetype = "triangles"
mask.vertices 	   = {{-width, height},
					  { width, height},
					  { width,-height},
					  {-width,-height}}
mask.indices	  	 = {0,1,2;0,2,3}

mask.tex_coords   = {{0, 0},
					{ 1, 0},
					{ 1, 1},
					{ 0, 1}}
Add(mask)